# Proxy-header auth plugin
# FredB August 2016
# Identifies users with header;
# relies upon the upstream proxy.
# Eg: in groups file
# Mozilla/5.0 (Windows NT 6.1; rv:47.0) Gecko/20100101 Firefox/47.0=filter3
# here:
# header = 'user-agent'
# Firefox 47 + windows is added to group3 without any kind of authentification (! not related with your proxy configuration/identification !)
# THIS IS REALLY INSECURE This can be easily compromised by spoofing the Origin header

# low case
header = ''

plugname = 'proxy-header'

story_function = auth_proxy_header
# This defines the storybaord function in pre-auth.story
# which determines the filter group used.

# ports - restrict this plugin to these ports
# - default is blank = no restriction - applies to all ports 
#ports = 8081,8082

# Default group settings for this plug-in
# If these are set group determination will always succeed 
# and auth plug-in scan will stop
# even if the user is not found in group list(s)

# These settings override the global defaultfiltergroup and 
# defaulttransparentfiltergroup settings for this plug-in only.

#defaultfiltergroup = 1
# This applies to explict proxy and icap requests

#defaulttransparentfiltergroup = 2
# This appies to transparent requests (http & https)
# Note if not defined does NOT default to defaultfiltergroup
